Bug 817085 - [abrt] rhythmbox-2.96-3.fc17: __pthread_mutex_destroy: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.96-3.fc17: __pthread_mutex_destroy: Process /usr/bin/rhyth...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:e9f1e4b82a12dad016de6fbe86c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 12:09 EDT by S Mac Aodha
Modified: 2013-07-31 16:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:29:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.69 KB, text/plain)
2012-04-27 12:09 EDT, S Mac Aodha
no flags Details
File: maps (115.14 KB, text/plain)
2012-04-27 12:09 EDT, S Mac Aodha
no flags Details
File: dso_list (26.00 KB, text/plain)
2012-04-27 12:09 EDT, S Mac Aodha
no flags Details

  None (edit)
Description S Mac Aodha 2012-04-27 12:09:07 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: __pthread_mutex_destroy
executable:     /usr/bin/rhythmbox
kernel:         3.3.2-8.fc17.x86_64
pid:            8054
pwd:            /home/sean
remote_result:  NOTFOUND
time:           Fri 27 Apr 2012 12:57:25 AM IST
uid:            1000
username:       sean

backtrace:      Text file, 38597 bytes
dso_list:       Text file, 26622 bytes
maps:           Text file, 117906 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/sean/2

comment:
:Syncing with HTC Desire Z, Android Gingerbread 2.3.3, Mounted as USB Storage
:Error Prompted at End of Sync "Failed to transfer track, unable to parse stream"
:Then Closed.

core_backtrace:
:70f10a584fcf32ef4994cc1bc209964515ad49c9 0x9af1 pthread_mutex_destroy libpthread.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x8369c g_mutex_clear libglib-2.0.so.0 -
:c16d35a7f632f1d254eccf1fb0149015a48c2717 0x97e7 - libtotem-plparser.so.17 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x145db g_object_unref libgobject-2.0.so.0 -
:26e72a7f801d6f1c55b07a77305505a12d705ba6 0x94fd - libgeneric-player.so -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x4824b - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x475cc g_main_context_dispatch libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x479e8 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47aa4 g_main_context_iteration libglib-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0x97cfc g_application_run libgio-2.0.so.0 -
:3f7dee0af9fcc15cc82c9e1abb2bfc1cfb95f183 0x113f main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=acer-as5552
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/sean/keyring-BbiBYw
:IMSETTINGS_MODULE=none
:USER=sean
:USERNAME=sean
:MAIL=/var/spool/mail/sean
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/sean/.local/bin:/home/sean/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/sean
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1225
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/sean
:SHLVL=1
:LOGNAME=sean
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-gDpWV1uRrX,guid=14ad1ef4451bd1203ef9203200000034
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/sean
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-sean-aDFSyB/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1229,unix/unix:/tmp/.ICE-unix/1229
:GPG_AGENT_INFO=/run/user/sean/keyring-BbiBYw/gpg:0:1
:SSH_AUTH_SOCK=/run/user/sean/keyring-BbiBYw/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rhythmbox.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=8054
:DESKTOP_STARTUP_ID=gnome-shell-30044-acer-as5552-rhythmbox-4_TIME66722186

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 21888                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       21888                21888                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/sean/.xsession-errors
:pos:	728355
:flags:	0102002
:2:/home/sean/.xsession-errors
:pos:	728355
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:socket:[12608630]
:pos:	0
:flags:	02000002
:5:socket:[12608288]
:pos:	0
:flags:	02004002
:6:socket:[12608289]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[12608295]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:socket:[12608699]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[12608650]
:pos:	0
:flags:	02004002
:13:/home/sean/.cache/rhythmbox/album-art/store.tdb
:pos:	168
:flags:	02100002
:14:socket:[12608654]
:pos:	0
:flags:	02004002
:15:socket:[12608692]
:pos:	0
:flags:	02004002
:16:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:17:socket:[12608701]
:pos:	0
:flags:	02004002
:18:socket:[12608393]
:pos:	0
:flags:	02
:19:socket:[12608389]
:pos:	0
:flags:	02004002
:20:socket:[12608394]
:pos:	0
:flags:	02004002
:21:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:22:/home/sean/.local/share/gvfs-metadata/root
:pos:	0
:flags:	0100000
:23:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:24:/home/sean/.local/share/gvfs-metadata/root-13acc5cd.log
:pos:	0
:flags:	0100000
:25:socket:[12611091]
:pos:	0
:flags:	02004002
:26:socket:[12630325]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 01bf6191-e7d4-4b98-b8ac-4b5a5c0eaf86
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4189.42
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Phenom(tm) II N830 Triple-Core Processor
:CPU Stepping: 3
:CPU Family: 16
:CPU Model Num: 5
:Number of CPUs: 3
:CPU Speed: 2100
:System Memory: 2755
:System Swap: 3063
:Vendor: Acer
:System: Aspire 5552 V2.03
:Form factor: Notebook
:Kernel: 3.3.2-8.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17297:4133:1161) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4098:17302:4133:1161) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(5772:46:4187:57396) pci, ath9k, NETWORK, AR9287 Wireless Network Adapter (PCI-Express)
:(4130:38401:4133:1161) pci, None, HOST/PCI, RS880 Host Bridge
:(4130:38402:4130:38402) pci, None, PCI/PCI, RS780/RS880 PCI to PCI bridge (int gfx)
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(5348:5778:4133:877) pci, tg3, ETHERNET, NetLink BCM57780 Gigabit Ethernet PCIe
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4098:17285:4133:1161) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17309:4133:1161) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4133:1161) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:38674:4133:1161) pci, radeon, VIDEO, M880G [Mobility Radeon HD 4200]
:(4098:38671:4133:1161) pci, snd_hda_intel, MULTIMEDIA, RS880 Audio Device [Radeon HD 4200]
:(4098:17303:4133:1161) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:4133:1161) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4133:1161) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4130:38404:4133:1161) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 0)
:(4130:38405:4133:1161) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 1)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 13144314 10700717 10042209 3293184 3051304 3051304
:/dev/mapper/home /home btrfs 4096 4096 64122368 52449731 49693535 0 0 0
:/dev/sda1 /boot ext4 1024 1024 257554 169641 156637 65024 64736 64736
:

var_log_messages:
:Apr 25 16:46:31 acer-as5552 yum[6988]: Updated: rhythmbox-2.96-3.fc17.x86_64
:Apr 27 00:50:09 acer-as5552 kernel: [66564.917188] rhythmbox[32136]: segfault at 10 ip 0000003cdae09af1 sp 00007fff7885a958 error 4 in libpthread-2.15.so[3cdae00000+16000]
:Apr 27 00:50:28 acer-as5552 abrt[7980]: Saved core dump of pid 32136 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-04-27-00:50:09-32136 (1025716224 bytes)
:Apr 27 00:57:25 acer-as5552 kernel: [67000.890495] rhythmbox[8054]: segfault at 10 ip 0000003cdae09af1 sp 00007fff848a7568 error 4 in libpthread-2.15.so[3cdae00000+16000]
:Apr 27 00:57:27 acer-as5552 abrt[8258]: Saved core dump of pid 8054 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-04-27-00:57:25-8054 (166522880 bytes)

xsession_errors:
:(rhythmbox:2738): GLib-GIO-CRITICAL **: g_dbus_connection_emit_signal: assertion `object_path != NULL && g_variant_is_object_path (object_path)' failed
:(rhythmbox:2738): GLib-GIO-CRITICAL **: g_dbus_connection_emit_signal: assertion `object_path != NULL && g_variant_is_object_path (object_path)' failed
Comment 1 S Mac Aodha 2012-04-27 12:09:14 EDT
Created attachment 580800 [details]
File: backtrace
Comment 2 S Mac Aodha 2012-04-27 12:09:17 EDT
Created attachment 580801 [details]
File: maps
Comment 3 S Mac Aodha 2012-04-27 12:09:21 EDT
Created attachment 580802 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 16:28:38 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 16:29:37 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.